com.ibm.openpages.api.service

## Interface ITagService

-     public interface ITagService

  This service provides API to administer the tags for OpenPages
  Since:
    8.3.0.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `associateTags(Id resourceId, Id tagAssociateTypeId, java.util.Set<Id> tagIds)`
    `void` | `associateTags(Id resourceId, java.util.Set<Id> tagIds)`
    `void` | `associateTags(java.util.Set<Id> resourceIds, Id tagAssociateTypeId, java.util.Set<Id> tagIds)`
    `void` | `associateTags(java.util.Set<Id> resourceIds, java.util.Set<Id> tagIds)`
    `ITag` | `createTag(ITag newTag)`
    `void` | `disableTag(Id tagId)`
    `void` | `disableTags(java.util.Set<Id> tagIds)`
    `void` | `disassociateTags(Id resourceId, java.util.Set<Id> tagIds)`
    `void` | `disassociateTags(java.util.Set<Id> resourceIds, java.util.Set<Id> tagIds)`
    `void` | `enableTag(Id tagId)`
    `void` | `enableTags(java.util.Set<Id> tagIds)`
    `java.util.List<ITag>` | `getAssociatedTags(Id resourceId, Id labelId)`
    `ITag` | `getTag(Id tagId)`
    `ITag` | `getTag(java.lang.String tagName)`
    `ITagFactory` | `getTagFactory()` Returns a new tag factory object.
    `TagList` | `getTags(IFindOptions options)`
    `void` | `updateTag(ITag tag)`

- - ### Method Detail

    - #### getTagFactory

          ITagFactory getTagFactory()

      Returns a new tag factory object.
      Returns:

    - #### getTag

          ITag getTag(Id tagId)
               throws TagServiceException

      Parameters:
        `tagId` -
      Returns:
      Throws:
        `TagServiceException`

    - #### getTag

          ITag getTag(java.lang.String tagName)
               throws TagServiceException

      Parameters:
        `tagName` -
      Returns:
      Throws:
        `TagServiceException`

    - #### getTags

          TagList getTags(IFindOptions options)
                   throws TagServiceException

      Parameters:
        `options` -
      Returns:
      Throws:
        `TagServiceException`

    - #### enableTag

          void enableTag(Id tagId)
                  throws TagServiceException

      Parameters:
        `tagId` -
      Throws:
        `TagServiceException`

    - #### enableTags

          void enableTags(java.util.Set<Id> tagIds)
                   throws TagServiceException

      Parameters:
        `tagIds` -
      Throws:
        `TagServiceException`

    - #### disableTag

          void disableTag(Id tagId)
                   throws TagServiceException

      Parameters:
        `tagId` -
      Throws:
        `TagServiceException`

    - #### disableTags

          void disableTags(java.util.Set<Id> tagIds)
                    throws TagServiceException

      Parameters:
        `tagIds` -
      Throws:
        `TagServiceException`

    - #### createTag

          ITag createTag(ITag newTag)
                  throws TagServiceException

      Parameters:
        `newTag` -
      Returns:
      Throws:
        `TagServiceException`

    - #### updateTag

          void updateTag(ITag tag)
                  throws TagServiceException

      Parameters:
        `tag` -
      Throws:
        `TagServiceException`

    - #### associateTags

          void associateTags(Id resourceId,
                             java.util.Set<Id> tagIds)
                      throws TagServiceException

      Parameters:
        `resourceId` -
        `tagIds` -
      Throws:
        `TagServiceException`

    - #### associateTags

          void associateTags(java.util.Set<Id> resourceIds,
                             java.util.Set<Id> tagIds)
                      throws TagServiceException

      Parameters:
        `resourceIds` -
        `tagIds` -
      Throws:
        `TagServiceException`

    - #### associateTags

          void associateTags(Id resourceId,
                             Id tagAssociateTypeId,
                             java.util.Set<Id> tagIds)
                      throws TagServiceException

      Parameters:
        `resourceId` -
        `tagAssociateTypeId` -
        `tagIds` -
      Throws:
        `TagServiceException`

    - #### associateTags

          void associateTags(java.util.Set<Id> resourceIds,
                             Id tagAssociateTypeId,
                             java.util.Set<Id> tagIds)
                      throws TagServiceException

      Parameters:
        `resourceIds` -
        `tagAssociateTypeId` -
        `tagIds` -
      Throws:
        `TagServiceException`

    - #### disassociateTags

          void disassociateTags(Id resourceId,
                                java.util.Set<Id> tagIds)
                         throws TagServiceException

      Parameters:
        `resourceId` -
        `tagIds` -
      Throws:
        `TagServiceException`

    - #### disassociateTags

          void disassociateTags(java.util.Set<Id> resourceIds,
                                java.util.Set<Id> tagIds)
                         throws TagServiceException

      Parameters:
        `resourceIds` -
        `tagIds` -
      Throws:
        `TagServiceException`

    - #### getAssociatedTags

          java.util.List<ITag> getAssociatedTags(Id resourceId,
                                                 Id labelId)
                                          throws TagServiceException

      Parameters:
        `resourceId` -
        `labelId` -
      Returns:
      Throws:
        `TagServiceException`

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.